class HomeState {
  final bool isGrid;
  final String devUUID;
  final String cliUUID;
  final String userUUID;
  final String userName;
  final String userEmail;

  HomeState({
    this.isGrid = false,
    this.devUUID = '',
    this.cliUUID = '',
    this.userUUID = '',
    this.userName = '',
    this.userEmail = '',
  });

  HomeState copyWith({
    bool? isGrid,
    String? devUUID,
    String? cliUUID,
    String? userUUID,
    String? userName,
    String? userEmail,
  }) {
    return HomeState(
      isGrid: isGrid ?? this.isGrid,
      devUUID: devUUID ?? this.devUUID,
      cliUUID: cliUUID ?? this.cliUUID,
      userUUID: userUUID ?? this.userUUID,
      userName: userName ?? this.userName,
      userEmail: userEmail ?? this.userEmail,
    );
  }
}
