class LocalsConstants {
  static const String tableLocalsKeychain = 'LocalsKeychain';

  static String get createLocalsTable => '''
    CREATE TABLE IF NOT EXISTS $tableLocalsKeychain (
      key TEXT,
      value TEXT,
      type TEXT,
      updateAt TEXT,
      resolvedAt TEXT,
      createdAt TEXT,
      local TEXT,
      UNIQUE (key, local)
    );
  ''';
  static String get deleteLocalsTable =>
      'DROP TABLE IF EXISTS $tableLocalsKeychain;';
}
